commit:     e2615efca3ad37b03e029e1afc60c456cd1e8ced
Author:     Mark Wright <gienah <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 16 11:11:25 2016 +0000
Commit:     Mark Wright <gienah <AT> gentoo <DOT> org>
CommitDate: Tue Feb 16 11:11:25 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2615efc

sci-mathematics/csdp: Add CSDP, A C Library for Semidefinite Programming

Required by sci-mathematics/isabelle-2015

 sci-mathematics/csdp/Manifest          |  3 +++
 sci-mathematics/csdp/csdp-6.1.1.ebuild | 49 ++++++++++++++++++++++++++++++++++
 sci-mathematics/csdp/metadata.xml      | 21 +++++++++++++++
 3 files changed, 73 insertions(+)

diff --git a/sci-mathematics/csdp/Manifest b/sci-mathematics/csdp/Manifest
new file mode 100644
index 0000000..2b57588
--- /dev/null
+++ b/sci-mathematics/csdp/Manifest
@@ -0,0 +1,3 @@
+DIST Csdp-6.1.1.tgz 441574 SHA256 
0558a46ac534e846bf866b76a9a44e8a854d84558efa50988ffc092f99a138b9 SHA512 
ba5dc0faea223bad6293f131ee63daee0a395a6e84c76fe108dbbefb3ab0696b2a59f435766c78a2d22244801a9abda2719798cbfe30dd9e1c32317e0283fd2e
 WHIRLPOOL 
51f4fa92a07e49071581695d31b504b7fa734659ee61387d3f55e7692866dbe68552466b4004104eadde39485c0201455ff18fc5836e50b3ab5cd7b6ae9a52a8
+EBUILD csdp-6.1.1.ebuild 1288 SHA256 
6ea5977f3c776ef1624d093684ae81b15968861c04b558fd7144943b6c2940f6 SHA512 
8d1163bd11d1fbe144e1331aef9e77c74d9d0652fccbf2dbe80f0d284243f735529d832ccff8f7cacb4da7ad3f41932a17fd055f1e1f8c78007acfd9d0c50818
 WHIRLPOOL 
34bc42e812f11f7f23623753d15c6236a003ef1d71dd4b135b9eb332eddb5ecf54d7a2b493a50563ab95326f2fe7fb22f5e037b5b6e73c7ccaa5758f39393d37
+MISC metadata.xml 953 SHA256 
4d62cc951ae8b3b043d71a59e8ed29b5762fe1a92c872e26b7e86096d4a46c44 SHA512 
8454c450399ac984b0aed6b72ba9f983a65b776bc497ce6a8840ef4a2f56d7e9f70d50ea742164e534cc31d542c590e3e416503a1bac38a045eb51e7d5705872
 WHIRLPOOL 
44216aad6abb7c4ab1c0c906d673608bd9f48b14d55066e724aa2ee77a23584a7901c412716f74719dce85e8d2743689a89e75ebc06352aaf63d3da565d67821

diff --git a/sci-mathematics/csdp/csdp-6.1.1.ebuild 
b/sci-mathematics/csdp/csdp-6.1.1.ebuild
new file mode 100644
index 0000000..6a1bfb8
--- /dev/null
+++ b/sci-mathematics/csdp/csdp-6.1.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit toolchain-funcs
+
+MY_PN="Csdp"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A C Library for Semidefinite Programming"
+HOMEPAGE="http://projects.coin-or.org/Csdp/";
+SRC_URI="http://www.coin-or.org/download/source/${MY_PN}/${MY_P}.tgz";
+
+LICENSE="CPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="virtual/blas
+       virtual/lapack"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       sed -e "s@CFLAGS=-O3@CFLAGS=${CFLAGS}@" \
+               -e 's@\($(CC) $(CFLAGS).*\) -o@\1 ${LDFLAGS} -o@' \
+               -i "${S}"/example/Makefile \
+               "${S}"/lib/Makefile \
+               "${S}"/solver/Makefile \
+               "${S}"/theta/Makefile \
+               || die "Could not set our flags in Makefiles"
+       sed -e "s@-lblas@$($(tc-getPKG_CONFIG) --libs blas)@g" \
+               -e "s@-llapack@$($(tc-getPKG_CONFIG) --libs lapack)@g" \
+               -i "${S}"/example/Makefile \
+               "${S}"/solver/Makefile \
+               "${S}"/theta/Makefile \
+               || die "Could not set blas and lapack library locations in 
Makefiles"
+       sed -e 's@install:@install:\n\tmkdir -p ${DESTDIR}usr/bin@' \
+               -e 's@/usr/local@${DESTDIR}usr@g' \
+               -e 's@; make@; make -j 1@g' \
+               -i "${S}"/Makefile \
+               || die 'Could not change /usr/local to ${DESTDIR} in Makefile'
+}
+
+src_test() {
+       emake unitTest
+}

diff --git a/sci-mathematics/csdp/metadata.xml 
b/sci-mathematics/csdp/metadata.xml
new file mode 100644
index 0000000..a5b3324
--- /dev/null
+++ b/sci-mathematics/csdp/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<maintainer type="person">
+  <email>gie...@gentoo.org</email>
+</maintainer>
+<maintainer type="project">
+  <email>sci-mathemat...@gentoo.org</email>
+  <name>Gentoo Mathematics Project</name>
+</maintainer>
+<longdescription lang='en'>
+CSDP is a library of routines that implements a predictor corrector variant of
+the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
+Wolkowicz. The main advantages of this code are that it is written to be used
+as a callable subroutine, it is written in C for efficiency, the code runs in
+parallel on shared memory multi-processor systems, and it makes effective use
+of sparsity in the constraint matrices. CSDP has been compiled on many
+different systems. The code should work on any system with an ANSI C Compiler
+and BLAS/LAPACK libraries.
+</longdescription>
+</pkgmetadata>

Reply via email to